# Copyright (C) 2015 Chintalagiri Shashank
#
# This file is part of Tendril.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""
The Dox Package (:mod:`tendril.dox`)
====================================

Some documentation

.. automodule:: tendril.dox.db
    :members:
    :undoc-members:
    :show-inheritance:

Core Dox Modules
----------------

.. toctree::

   tendril.dox.render
   tendril.dox.wallet
   tendril.dox.docstore
   tendril.dox.labelmaker

Document Generator Modules
--------------------------

.. toctree::

   tendril.dox.customs
   tendril.dox.gedaproject
   tendril.dox.indent
   tendril.dox.production
   tendril.dox.purchaseorder
   tendril.dox.testing
   tendril.dox.invoice

Inheritance Diagram
-------------------

.. inheritance-diagram::
   tendril.dox
   tendril.dox.db
   tendril.dox.customs
   tendril.dox.docstore
   tendril.dox.gedaproject
   tendril.dox.indent
   tendril.dox.invoice
   tendril.dox.labelmaker
   tendril.dox.production
   tendril.dox.purchaseorder
   tendril.dox.render
   tendril.dox.testing
   tendril.dox.wallet

"""

from pkgutil import extend_path
__path__ = extend_path(__path__, __name__)
