# Copyright (C) 2015 Chintalagiri Shashank
#
# This file is part of Tendril.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""
The Sourcing Package (:mod:`tendril.sourcing`)
==============================================

.. automodule:: tendril.sourcing.db
    :members:
    :undoc-members:
    :show-inheritance:

Core Sourcing Modules
---------------------

.. toctree::

   tendril.sourcing.vendorbase
   tendril.sourcing.orders
   tendril.sourcing.customs
   tendril.sourcing.electronics
   tendril.sourcing.map


Vendor Support Modules
----------------------

.. toctree::

   tendril.sourcing.digikey
   tendril.sourcing.mouser
   tendril.sourcing.ti
   tendril.sourcing.csil
   tendril.sourcing.pricelist


Sourcing Inheritance Diagram
----------------------------

.. inheritance-diagram::
   tendril.sourcing.vendors
   tendril.sourcing.orders
   tendril.sourcing.customs
   tendril.sourcing.csil
   tendril.sourcing.digikey
   tendril.sourcing.mouser
   tendril.sourcing.ti
   tendril.sourcing.pricelist

"""
